/*
 *  File: PropertyObservableBase.java 
 *  Copyright (c) 2004-2005  Peter Kliem (Peter.Kliem@jaret.de)
 *  A commercial license is available, see http://www.jaret.de.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jaret.util.misc;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

/**
 * @author Peter Kliem
 * @version $Id: PropertyObservableBase.java 125 2005-06-28 10:40:03Z kliem $
 */
public class PropertyObservableBase implements PropertyObservable{
	protected PropertyChangeSupport _propertyChangeSupport;
	
	protected void firePropertyChange(String propName, Object oldVal, Object newVal) {
		if (_propertyChangeSupport != null) {
			_propertyChangeSupport.firePropertyChange(propName, oldVal, newVal);
		}
	}
	
	public void addPropertyChangeListener(PropertyChangeListener listener) {
		if (_propertyChangeSupport == null) {
			_propertyChangeSupport = new PropertyChangeSupport(this);
		}
		_propertyChangeSupport.addPropertyChangeListener(listener);
	}
	public void removePropertyChangeListener(PropertyChangeListener listener) {
		if (_propertyChangeSupport != null) {
			_propertyChangeSupport.removePropertyChangeListener(listener);
		}
	}
	
}
