/*
 *  File: ResourceImageDescriptor.java 
 *  Copyright (c) 2004-2005  Peter Kliem (Peter.Kliem@jaret.de)
 *  A commercial license is available, see http://www.jaret.de.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jaret.util.ui;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.ImageData;
import org.eclipse.swt.widgets.Display;

/**
 * @author Peter Kliem
 * @version $Id: ResourceImageDescriptor.java 125 2005-06-28 10:40:03Z kliem $
 */
public class ResourceImageDescriptor extends ImageDescriptor {
	String rscString;
	/**
	 * 
	 */
	public ResourceImageDescriptor(String rscString) {
		this.rscString =rscString; 
	}
	/* (non-Javadoc)
	 * @see org.eclipse.jface.resource.ImageDescriptor#getImageData()
	 */
	public ImageData getImageData() {
		Image img = new Image(Display.getCurrent(), this.getClass().getResourceAsStream(rscString));
		return img.getImageData();
	}
}
